POST
/v1/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/integration-connections/twitter/authorizationStart Twitter authorization
Create a short-lived, single-use OAuth handoff and return the X authorization URL for this Environment.
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Responses
201TwitterAuthorizationStartedapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/jsonReusable schemas
TwitterAuthorizationStartedEncoded
object- unknown properties allowed
false
authorizationUrlrequiredstringThe short-lived provider authorization URL to open in a browser.
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.